Type to search.

Get a list of scripts

Base URL
https://{kibana_url}
  • GET /api/endpoint/scripts_library
Auth

Retrieve a list of scripts

Query parameters

page integer · min: 1 · default: 1

Page number of the results to return. Defaults to 1.

pageSize integer · min: 1 · max: 1000 · default: 10

Number of results to return per page. Defaults to 10. Max value is 1000.

sortField enum

The field to sort the results by. Defaults to name.

Values: name createdAt createdBy updatedAt updatedBy fileSize
sortDirection enum

The direction to sort the results by. Defaults to asc (ascending).

Values: asc desc
kuery string

A KQL query string to filter the list of scripts. Nearly all fields in the script object are searchable.

Response

List of scripts response

application/json
page integer · min: 1 · default: 1

Page number

pageSize integer · min: 1 · max: 1000 · default: 10

Number of items per page

sortDirection enum

Determines the sort order.

Values: asc desc
sortField enum

Determines which field is used to sort the results.

Values: name createdAt createdBy updatedAt updatedBy fileSize
total integer

The total number of scripts matching the query